Public Member Functions | Data Fields

# TileLayoutSpriteGroup Struct Reference

Inheritance diagram for TileLayoutSpriteGroup:

## Public Member Functions
uint | GetConstructionStageOffset (uint construction_stage) const
| Determines which sprite to use from a spriteset for a specific construction stage.
## Data Fields
byte | num_building_stages
| Number of building stages to show for this house/industry tile.
struct DrawTileSprites * | dts

## Detailed Description

Definition at line 284 of file newgrf_spritegroup.h.

## Member Function Documentation

uint TileLayoutSpriteGroup::GetConstructionStageOffset | ( | uint | construction_stage | ) | const`[inline]`

Determines which sprite to use from a spriteset for a specific construction stage.

Parameters:

  | construction_stage | Construction stage 0 - 3.

Returns:
  Sprite to use

Definition at line 296 of file newgrf_spritegroup.h.

References num_building_stages.

The documentation for this struct was generated from the following files:

- src/newgrf_spritegroup.h
- src/newgrf_spritegroup.cpp